using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "améliorations")]
    public class Amélioration : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "catégorie")]
        public string? Catégorie { get; set; }

        [XmlAttribute(AttributeName = "souscatégorie")]
        public string? Souscatégorie { get; set; }

        [XmlAttribute(AttributeName = "promotion")]
        public int Promotion { get; set; }

        [XmlAttribute(AttributeName = "type")]
        public string? Type { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "cout")]
        public string Cout { get; set; }

        [XmlAttribute(AttributeName = "nb_max_ou_rang")]
        public int NbMaxOuRang { get; set; }

        [XmlAttribute(AttributeName = "condition")]
        public string? Condition { get; set; }
        [XmlIgnore] public int AméliorationId { get; set; }
    }


}
